# Uses of Interface
com.sun.source.tree.ModuleTree

Packages that use ModuleTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ModuleTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type ModuleTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitModule​(ModuleTree node, P p)`
Visits a ModuleTree node.

## Uses of ModuleTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type ModuleTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitModule​(ModuleTree node, P p)`
`R`
TreeScanner.`visitModule​(ModuleTree node, P p)`